#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = backblaze-b2
export PYBUILD_BEFORE_TEST=ln -s {dir}/README.md {build_dir}/README.md
export PYBUILD_TEST_ARGS=-n=1 \
                         --ignore=test/integration/test_b2_command_line.py \
                         --ignore=test/unit/_cli/test_autocomplete_install.py \
                         --ignore=test/unit/_utils/test_uri.py \
                         --ignore=test/unit/console_tool/test_install_autocomplete.py \
                         -k '    not test_autocomplete_b2__download_file__b2uri \
                             and not test_readable_yaml_dump \
                             and not test_validated_loads \
                             and not test_detect_shell \
                             and not test_b2fileuri_str \
                            '
export PYBUILD_AFTER_TEST=rm -v {build_dir}/README.md

# tests triggers "AssertionError: previous item was not torn down properly" at random

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PATH=../scripts/:$(PATH) PYTHONPATH=. dh_auto_test || true

execute_after_dh_python3:
	find debian/ -name "README.md" -print -delete
	mv -v debian/backblaze-b2/usr/bin/b2 debian/backblaze-b2/usr/bin/backblaze-b2
